/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * unity-webapps-action-manager.h
 * Copyright (C) Canonical LTD 2011
 * 
 * Author: Robert Carr <racarr@canonical.com>
 * 
unity-webapps is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * unity-webapps is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 */


#ifndef __UNITY_WEBAPPS_ACTION_MANAGER_H
#define __UNITY_WEBAPPS_ACTION_MANAGER_H


#define UNITY_WEBAPPS_TYPE_ACTION_MANAGER              (unity_webapps_action_manager_get_type())
#define UNITY_WEBAPPS_ACTION_MANAGER(obj)              (G_TYPE_CHECK_INSTANCE_CAST((obj), UNITY_WEBAPPS_TYPE_ACTION_MANAGER, UnityWebappsActionManager))
#define UNITY_WEBAPPS_ACTION_MANAGER_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST((klass), UNITY_WEBAPPS_TYPE_ACTION_MANAGER, UnityWebappsActionManagerClass))
#define UNITY_WEBAPPS_IS_ACTION_MANAGER(obj)           (G_TYPE_CHECK_INSTANCE_TYPE((obj), UNITY_WEBAPPS_TYPE_ACTION_MANAGER))
#define UNITY_WEBAPPS_IS_ACTION_MANAGER_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), UNITY_WEBAPPS_TYPE_ACTION_MANAGER))
#define UNITY_WEBAPPS_ACTION_MANAGER_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS((obj), UNITY_WEBAPPS_TYPE_ACTION_MANAGER, UnityWebappsActionManagerClass))

typedef struct _UnityWebappsActionManagerPrivate UnityWebappsActionManagerPrivate;

typedef struct _UnityWebappsActionManager UnityWebappsActionManager;


struct _UnityWebappsActionManager {
	GObject object;

	UnityWebappsActionManagerPrivate *priv;
	//	UnityWebappsGenActionManager *action_manager_proxy;
	//	GDBusConnection *session_bus;
};

typedef struct _UnityWebappsActionManagerClass UnityWebappsActionManagerClass;

struct _UnityWebappsActionManagerClass
{
	GObjectClass parent_class;
};

GType unity_webapps_action_manager_get_type (void) G_GNUC_CONST;

UnityWebappsActionManager *unity_webapps_action_manager_new ();

UnityWebappsActionManager *unity_webapps_action_manager_get_default ();

void unity_webapps_action_manager_add_action (UnityWebappsActionManager *manager,
											  const gchar *action_name);


#endif
