/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * unity-webapps-runner.c
 * Copyright (C) Canonical LTD 2011
 * 
 * Author: Robert Carr <racarr@canonical.com>
 * 
unity-webapps is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * unity-webapps is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 */
#include <stdlib.h>
#include <stdio.h>

#include "../unity-webapps-service.h"

static UnityWebappsService *service = NULL;

static gchar *name = NULL;
static gchar *domain = NULL;

static GOptionEntry option_entries[] =
	{
		{ "name", 'n',0,G_OPTION_ARG_STRING, &name, "Application name", NULL },
		{ "domain", 'd',0, G_OPTION_ARG_STRING, &domain, "Application domain", NULL}
	};


gint
main (gint argc, gchar **argv)
{
  GOptionContext *context;
  GError *error;

  g_type_init ();
  
  service = unity_webapps_service_new ();
  
  error = NULL;
  
  context = g_option_context_new ("- Activate Unity WebApps");
  
  // TODO: GETTEXT
  g_option_context_add_main_entries (context, option_entries, NULL);

  if (!g_option_context_parse (context, &argc, &argv, &error))
	{
	  printf("Failed to parse arguments: %s\n", error->message);
	  exit(1);
	}
  
  unity_webapps_service_activate_application (service, name, domain);
  
  exit (0);
  
}
