#include <stdlib.h>
#include <stdio.h>

#include "../../../src/unity-webapps-service.h"
#include "../../../src/unity-webapps-context.h"

#include "uwa-test-client.h"

#define ICON_URL "http://www.ubuntu.com/sites/www.ubuntu.com/files/active/02_ubuntu/U_homepage/picto-desktop.png"

static GMainLoop *mainloop = NULL;

static guint callbacks = 0;

static void
on_action_one()
{
  callbacks ++;
  
  printf("Action one invoked\n");
}
static void
on_action_two ()
{
  callbacks ++;
  
  printf("Action two invoked\n");
}

static void
on_action_three()
{
  callbacks ++;
  
  printf("Action three invoked\n");
}
static void
on_action_four ()
{
  callbacks ++;
  
  printf("Action four invoked\n");
  
  if (callbacks == 4)
    {
      uwa_emit_test_finished ();
    }
}

static void
context_ready (UnityWebappsContext *context)
{
  unity_webapps_context_add_application_action (context, "/foo/bar/baz", on_action_one);
  unity_webapps_context_add_application_action (context, "/foo/bar/doublebar", on_action_two);
  unity_webapps_context_add_application_action (context, "/foo/baz/bar", on_action_three);
  unity_webapps_context_add_application_action (context, "/foot/boo/yaz", on_action_four);
}

gint
main (gint argc, gchar **argv)
{
  UnityWebappsService *service;
  
  g_type_init ();
  
  service = unity_webapps_service_new ();
  
  unity_webapps_context_new (service, "Test", "test.ts", ICON_URL, context_ready);
  
  mainloop = g_main_loop_new (NULL, FALSE);
  
  g_main_loop_run (mainloop);
  
  return 0;  
}
